Canvas5Parser.hxx File Reference
`#include <functional>`
`#include <map>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include <librevenge/librevenge.h>`
`#include "MWAWDebug.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWParser.hxx"`

Go to the source code of this file.

## Classes

class | Canvas5Parser
| the main class to read a Canvas 5-10 files (and probably some not password protected Windows 11 files) More...
struct | Canvas5Parser::Item
| a structure used to store the item data of a Canvas5Parser More...

## Namespaces

namespace | Canvas5ParserInternal
| Internal: the structures of a Canvas5Parser.
namespace | Canvas5Structure
| a namespace used to define basic function or structure to read a Canvas v5-v11 file